.as-vacancies-list {
    padding: 220px 0 120px;
    background: #EEEEEE;
}

.as-vacancies-list__container {
    margin: 0 auto;
    max-width: 1398px;
    padding: 0 20px;
}

.as-vacancies-list__meta {
    display: flex;
    align-items: center;
    gap: 6px;
    flex-wrap: wrap;
    background: #FFF;
    justify-content: center;
    width: fit-content;
    border-radius: 6px;
    padding: 6px 10px;
    margin: 0 auto 15px;
}

.as-vacancies-list__badge{
    color: #1C1C1C;
    display: inline-flex;
    align-items: center;
    font-weight: 400;
    font-size: 12px;
    line-height: 18px;
    text-align: center;
    border-right: 1px solid #D2D2D2;
    padding-right: 10px;
    margin-right: 10px;
}

.as-vacancies-list__rating svg{
    margin-right: 4px;
}

.as-vacancies-list__rating{
    font-weight: 700;
    font-size: 12px;
    line-height: 18px;
    color: #575757;
    display: flex;
    align-items: center;
}

.as-vacancies-list__rating span{
    color: #00B67A;
}

.as-vacancies-list__title {
    margin: 0 0 18px;
    letter-spacing: -0.04em;
    color: #1C1C1C;
    font-weight: 500;
    font-size: 72px;
    line-height: 76px;
    text-align: center;
}

.as-vacancies-list__subtitle {
    margin: 0 auto 60px;
    color: #575757;
    font-weight: 400;
    font-size: 20px;
    line-height: 28px;
    text-align: center;
}

.as-vacancies-list__slider {
    overflow: hidden;
}

.as-vacancies-list__grid {
    display: grid!important;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 30px;
    padding-bottom: 30px;
}

.as-vacancies-list__card {
    min-height: 360px;
    padding: 30px;
    background: #FFFFFF;
    border-radius: 12px;
    display: flex !important;
    flex-direction: column;
    justify-content: space-between;
    border: 1px solid #EEEEEE;
}

.as-vacancies-list__card-top {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.as-vacancies-list__tags {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.as-vacancies-list__tag {
    display: inline-flex;
    align-items: center;
    min-height: 22px;
    padding: 3px 10px;
    border: 1px solid #EEEEEE;
    border-radius: 8px;
    color: #575757;
    font-weight: 400;
    font-size: 11px;
    line-height: 18px;
    text-transform: uppercase;
}

.as-vacancies-list__card-title {
    margin: 0;
    color: #000000;
    font-weight: 400;
    font-size: 36px;
    line-height: 44px;
}

.as-vacancies-list__card-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
}

.as-vacancies-list__link {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    color: #D41028;
    text-decoration: none;
    font-family: Geist;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
}

.as-vacancies-list__link svg {
    rotate: 0;
    transition: all 0.3s;
}

.as-vacancies-list__link:hover svg {
    rotate: 45deg;
}

.as-vacancies-list__socials {
    display: flex;
    align-items: center;
    gap: 10px;
}

.as-vacancies-list__social {
    width: 36px;
    height: 36px;
    border-radius: 50%;
    background: #e1e1e1;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}

.as-vacancies-list__social img {
    width: 16px;
    height: 16px;
    object-fit: contain;
}

.as-vacancies-list__more {
    width: 100%;
    max-width: 100%;
    max-height: 50px;
    padding: 15px;
    border: 1px solid #D2D2D2;
    border-radius: 8px;
    background: transparent;
    color: #1C1C1C;
    cursor: pointer;
    margin: 0;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
}

.as-vacancies-list__pagination {
    display: none;
}

.is-hidden-desktop {
    display: none !important;
}

@media (max-width: 1023px) {
    .as-vacancies-list {
        padding: 144px 0 80px;
    }

    .as-vacancies-list__container {
        padding: 0 16px;
    }

    .as-vacancies-list__title {
        font-size: 36px;
        line-height: 44px;
        margin: 0 0 15px;
    }

    .as-vacancies-list__subtitle {
        font-size: 16px;
        line-height: 24px;
        margin-bottom: 100px;
    }

    .as-vacancies-list__grid {
        display: flex!important;
        grid-template-columns: none;
        gap: 0;
    }

    .as-vacancies-list__card {
        min-height: 440px;
        padding: 30px;
    }

    .as-vacancies-list__card-top {
        gap: 95px;
    }

    .as-vacancies-list__card-title {
        font-size: 24px;
        line-height: 28px;
    }

    .as-vacancies-list__pagination {
        display: flex;
        justify-content: center;
        margin-top: 20px;
    }

    .as-vacancies-list__pagination .swiper-pagination-bullet {
        width: 6px;
        height: 6px;
        margin: 0 3px !important;
        background: #575757;
        border: none;
        opacity: 0.4;
    }

    .as-vacancies-list__pagination .swiper-pagination-bullet-active {
        background: #575757;
        opacity: 1;
        width: 18px;
    }

    .is-hidden-desktop {
        display: flex;
    }

    .as-vacancies-list__more-wrap {
        display: none;
    }
}